%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; clc; close all;
rootpath=cd; addpath(rootpath);
addpath([rootpath '\toolbox.IMS2017']);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% SIGNAL GENERATION 
GainBB=0.9; %%% GainBB between 0 and 1.
[gBB,xsupply,PARAM] = IMS2017_generate_signal(GainBB);

%% Place your CFR, DPD algorithms 
xBB=gBB;

%% SEND to & GET from remoteUPCLab
RX= IMS2017_PA_meas(xBB,xsupply);

%% SCORE 
[SCORE]= IMS2017_meas_score_May2017(RX,gBB,PARAM);
